Subject: Re: SSH session terminates with Ctl+C
From: "Ehud Karni" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 6 Aug 2003 10:42:57 +0300

On Tue, 5 Aug 2003 16:17:24 -0700 (PDT), Jeff Nokes <[email-masked]> wrote:
>
> Here's my ssh -v output:
  [snip]
> debug1: channel 0: request x11-req
> debug1: channel 0: request shell
> debug1: channel 0: open confirm rwindow 0 rmax 32768
> [jnokes@row-cm jnokes]$ debug1: channel_free: channel 0: client-session,
> nchannels 1
> Killed by signal 2.

This line indicate kill on the local machine (Cygwin), see below.

> debug1: Calling cleanup 0x4138d0(0x0)
> debug1: Calling cleanup 0x41b2a0(0x0)

> jnokes@D-SJC-JNOKES ~
> $
> *********************************************
>
>
> Also,
> I have a RH 7.2 box that I ssh to as well, and the same behavior occurs there
> as well.  Here is the output of that if you are interested:
  [snip]
> debug1: channel 0: request shell
> debug1: channel 0: open confirm rwindow 0 rmax 32768
> Last login: Fri Jul 25 17:57:35 2003 from d-sjc-jnokes.corp.ebay.com
> [jnokes@row-dev-02 jnokes]$ debug1: channel_free: channel 0: client-session,
> nchannels 1
> Killed by signal 2.

Same as above (local kill, i.e. Cygwin)

> debug1: Calling cleanup 0x4138d0(0x0)
> debug1: Calling cleanup 0x41b2a0(0x0)

To check your report I did 2 ssh sessions. In the first I killed the
remote (GNU/Linux sshd) the result is:

debug1: channel_free: channel 0: port listener, nchannels 4
debug1: channel_free: channel 1: port listener, nchannels 3
debug1: channel_free: channel 2: port listener, nchannels 2
debug1: channel_free: channel 3: client-session, nchannels 1
Connection to 192.214.178.73 closed by remote host.
Connection to 192.214.178.73 closed.
debug1: Transferred: stdin 0, stdout 0, stderr 91 bytes in 34.8 seconds
debug1: Bytes per second: stdin 0.0, stdout 0.0, stderr 2.6
debug1: Exit status -1
debug1: compress outgoing: raw data 1271, compressed 942, factor 0.74
debug1: compress incoming: raw data 1987, compressed 939, factor 0.47

In the second I killed the local ssh (by `kill -2' from another bash):

debug1: channel_free: channel 0: port listener, nchannels 4
debug1: channel_free: channel 1: port listener, nchannels 3
debug1: channel_free: channel 2: port listener, nchannels 2
debug1: channel_free: channel 3: client-session, nchannels 1
Killed by signal 2.
debug1: Calling cleanup 0x4138d0(0x0)
debug1: Calling cleanup 0x41b2a0(0x0)
debug1: compress outgoing: raw data 931, compressed 769, factor 0.83
debug1: compress incoming: raw data 1272, compressed 585, factor 0.46

Signal 2 is SIGINT (the one created by the INTR in stty, usually ^C),
so it really seems that ^C is somehow caught by the local ssh.

I repeat that I can not reproduce this bug under XP pro, neither with
Cygwin console nor with rxvt window (cygwin1.dll, ssh same as yours).

A half apology to readers of my previous mail. As you can see I use
compression with ssh (I do it automatically - with a config file) so
I omitted (in my mind) the possibility of not using it.

Ehud.

- --
 Ehud Karni           Tel: +972-3-7966-561  /"\
 Mivtach - Simon      Fax: +972-3-7966-667  \ /  ASCII Ribbon Campaign
 Insurance agencies   (USA) voice mail and   X   Against   HTML   Mail
 http://www.mvs.co.il  FAX:  1-815-5509341  / \
 mailto:[email-masked]                  Better  Safe  Than  Sorry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/